Bug 212637 - sysctl using deprecated syscall
sysctl using deprecated syscall
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Smetana
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 15:56 EDT by Daniel Qarras
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-28 12:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2006-10-27 15:56:13 EDT
Description of problem:
dmesg says it all:

ip_conntrack version 2.4 (4095 buckets, 32760 max) - 228 bytes per conntrack
process `sysctl' is using deprecated sysctl (syscall)
net.ipv6.neigh.lo.base_reachable_time; Use
net.ipv6.neigh.lo.base_reachable_time_ms instead.
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See dmesg output
Actual results:
Warning printed.

Expected results:
No warning.

Additional info:
Functionality is all ok.
Comment 1 Karel Zak 2006-11-28 07:10:53 EST
The procps-3.2.5-sysctl-ignore.patch patch has been commited to CVS and will be
included in a next package update. Thanks for your report.
Comment 2 Fedora Update System 2007-04-03 12:12:02 EDT
procps-3.2.7-8.3.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Daniel Qarras 2007-04-21 09:25:41 EDT
I can confirm that this is fixed in the latest version.

Comment 4 Daniel Qarras 2007-10-28 12:43:56 EDT
Fixed long since. Closing.
Comment 5 Tomas Smetana 2007-10-29 03:27:06 EDT
Just a note -- the patch is about to be dropped (probably after RHEL 5.2 is
relased or in F-9), because sysctl -a is supposed to print all the values.  Even
the deprecated ones and the warning should be there.  If any script calls
"sysctl -a | grep something" or sysctl <deprecated sysctl> it's the script that
must be fixed not sysctl.

Note You need to log in before you can comment on or make changes to this bug.